import unittest

import clams.serialize
from clams import Mmif, Medium, MediaTypes


dummy_attype = "http://clams.ai/vocab/dummy"

class ExampleInputMMIF(object):

    @staticmethod
    def get_gold_mmif():
        mmif = Mmif()
        mmif.context = "mmif-prototype-0.0.1.jsonld"
        mmif.metadata = {}
        mmif.media = [Medium(0, MediaTypes.V, "/dummy/dir/dummy.file.mp4")]
        mmif.contains = {}
        mmif.views = []
        return str(mmif)


class TestSerialization(unittest.TestCase):

    def setUp(self):
        self.mmif = Mmif(ExampleInputMMIF.get_gold_mmif())

    def test_view_is_empty(self):
        self.assertEqual(len(self.mmif.contains), 0)
        self.assertEqual(len(self.mmif.views), 0)

